Package com.collibra.dgc.core.api.model.user

# Enum Class PhoneType

Object
Enum<PhoneType>
PhoneType

All Implemented Interfaces:
  `Serializable`, `Comparable<PhoneType>`, `Constable`

public enum PhoneType extends Enum<PhoneType>
Represents the possible phone number types

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FAX`
  `MOBILE`
  `OTHER`
  `PAGER`
  `PRIVATE`
  `WORK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PhoneType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PhoneType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FAX

    public static final PhoneType FAX

  - ### MOBILE

    public static final PhoneType MOBILE

  - ### OTHER

    public static final PhoneType OTHER

  - ### PAGER

    public static final PhoneType PAGER

  - ### PRIVATE

    public static final PhoneType PRIVATE

  - ### WORK

    public static final PhoneType WORK

- ## Method Details

  - ### values

    public static PhoneType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PhoneType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null